# Get project OS inventory (Dependencies - SCA)

Returns all open source libraries detected in a specified project, including libraries with no known vulnerabilities. Use this endpoint to get a full OS inventory view.

Endpoint: GET /api/v3.0/projects/{projectUuid}/dependencies/libraries
Version: 3.0
Security: bearer-key

## Query parameters:

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.name` (string)
    Example: "dbus-1.10.24-13.el7_6.x86_64.rpm"

  - `response.artifactId` (string)
    Example: "kind-of-6.0.2.tgz"

  - `response.groupId` (string)
    Example: "kind-of"

  - `response.version` (string)

  - `response.architecture` (string)

  - `response.languageVersion` (string)

  - `response.classifier` (string)

  - `response.extension` (string)

  - `response.sha1` (string)
    Example: "01146b36a6218e64e58f3a8d66de5d7fc6f6d051"

  - `response.description` (string)
    Example: "Get the native type of a value."

  - `response.type` (string)
    Example: "javascript/Node.js"

  - `response.libraryType` (string)

  - `response.directDependency` (boolean)

  - `response.purl` (string)
    Example: "pkg:maven/commons-beanutils/commons-beanutils@1.8.0?type=jar"

  - `response.extraInfo` (object)

  - `response.extraInformation` (object)

  - `response.extraInformation.distributionUrl` (string)

  - `response.extraInformation.downloadUrl` (string)

  - `response.extraInformation.releaseDate` (string)

  - `response.extraInformation.packageManagerRepository` (string)

  - `response.extraInformation.homePage` (string)

  - `response.extraInformation.repositoryUrl` (string)

  - `response.extraInformation.author` (string)

  - `response.extraInformation.bugsUrl` (string)

  - `response.extraInformation.copyright` (string)

  - `response.extraInformation.description` (string)

  - `response.extraInformation.iconUrl` (string)

  - `response.extraInformation.issueUrl` (string)

  - `response.extraInformation.languages` (array)

  - `response.extraInformation.licenseUrl` (string)

  - `response.extraInformation.maintainer` (string)

  - `response.extraInformation.organizationUrl` (string)

  - `response.extraInformation.owner` (string)

  - `response.extraInformation.pomUrl` (string)

  - `response.extraInformation.releaseNotes` (string)

  - `response.extraInformation.scmConnection` (string)

  - `response.extraInformation.scmDeveloperConnection` (string)

  - `response.extraInformation.scmTag` (string)

  - `response.extraInformation.sourceCodeHost` (string)

  - `response.extraInformation.summary` (string)

  - `response.extraInformation.systemPath` (string)

  - `response.extraInformation.tags` (array)

  - `response.licenses` (array)

  - `response.licenses.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.licenses.name` (string)
    Example: "MIT"

  - `response.licenses.assignedByUser` (boolean)

  - `response.licenses.licenseReferences` (array)

  - `response.licenses.licenseReferences.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.licenses.licenseReferences.type` (string)
    Example: "ARTIFACT_DESCRIPTOR"

  - `response.licenses.licenseReferences.liabilityReference` (string)
    Example: "https://repo.maven.apache.org/maven2/org/jruby/ext/posix/jna-posix/1.0.3/jna-posix-1.0.3.pom"

  - `response.licenses.licenseReferences.assignedBy` (object)

  - `response.licenses.licenseReferences.assignedBy.uuid` (string, required)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.licenses.licenseReferences.assignedBy.name` (string)
    Example: "Jon Smith"

  - `response.licenses.licenseReferences.assignedBy.email` (string)
    Example: "jon.smith@mail.com"

  - `response.licenses.licenseReferences.assignedBy.userType` (string)
    Enum: "REGULAR", "SERVICE", "SCAN_SUMMARY_RECEIVER"

  - `response.licenses.licenseReferences.assignedBy.accountStatus` (string)
    Enum: "ACTIVE", "INACTIVE", "LOCKOUT"

  - `response.licenses.licenseReferences.textUrl` (string)

  - `response.licenses.licenseReferences.customDisclaimer` (string)

  - `response.licenses.licenseReferences.information` (string)
    Example: "distribution=repo&remoteUrl=https://repo.maven.apache.org/maven2/org/jruby/ext/posix/jna-posix/1.0.3/jna-posix-1.0.3.pom"

  - `response.copyrightReferences` (array)

  - `response.copyrightReferences.type` (string)
    Enum: "TEXT_IN_FILE", "ARTIFACT_DESCRIPTOR", "PROJECT_HOMEPAGE", "USER", "UNSPECIFIED"

  - `response.copyrightReferences.copyright` (string, required)
    Example: "Copyright 2021 x greater by the end of"

  - `response.copyrightReferences.customDisclaimer` (string)

  - `response.copyrightReferences.createdAt` (string)

  - `response.copyrightReferences.textUrl` (string)

  - `response.copyrightReferences.startYear` (string)
    Example: "2021"

  - `response.copyrightReferences.endYear` (string)
    Example: "2022"

  - `response.copyrightReferences.author` (string)
    Example: "x greater by the end of"

  - `response.copyrightReferences.referenceInfo` (string)
    Example: "x greater by the end of"

  - `response.securityRisks` (array)

  - `response.securityRisks.sourceUrl` (string)

  - `response.securityRisks.riskFactor` (string)
    Enum: "NO_FINDINGS", "UNCONFIRMED_UNSAFE", "CONFIRMED_UNSAFE", "KNOWN_FALSE_POSITIVE"

  - `response.noticeReference` (object)

  - `response.noticeReference.text` (string, required)
    Example: "Developed internally"

  - `response.noticeReference.reference` (string)
    Example: "https://github.com/..."

  - `response.proprietaryInfo` (object)

  - `response.proprietaryInfo.ruleDescription` (string)

  - `response.proprietaryInfo.rulePattern` (string)

  - `response.proprietaryInfo.comment` (string)

  - `response.proprietaryInfo.userInfo` (object)

  - `response.proprietaryInfo.proprietaryMarkType` (string)
    Enum: "BY_RULE", "BY_USER"

  - `response.locations` (array)

  - `response.locations.localPath` (string)
    Example: "C:\\\\Users\\\\user\\\\.m2\\\\repository\\\\commons-io-1.4.jar"

  - `response.locations.dependencyFile` (string)
    Example: "C:\\\\GitHubRepos\\\\Pipline\\\\EUA\\\\plugins-automation\\\\fsa\\\\tests\\\\EUA\\\\Java\\\\bigProjectsMaven\\\\WST_417\\\\Data\\\\ksa\\\\ksa-web-core\\\\pom.xml"

  - `response.attributionReportSettings` (object)
    Example: "{excluded: true}"

  - `response.attributionReportSettings.excluded` (boolean)

  - `response.dependencyType` (string)

  - `response.violations` (integer)
    Example: 22

  - `response.workflowUuids` (array)
    Example: 2

  - `response.violatingFindings` (integer)
    Example: 2

  - `response.trackedIssue` (object)

  - `response.trackedIssue.uuid` (string)

  - `response.trackedIssue.issueId` (string)

  - `response.trackedIssue.origin` (string)

  - `response.trackedIssue.issueKey` (string)

  - `response.trackedIssue.account` (object)

  - `response.trackedIssue.account.uuid` (string)

  - `response.trackedIssue.account.name` (string)

  - `response.trackedIssue.domain` (object)

  - `response.trackedIssue.application` (object)

  - `response.trackedIssue.project` (object)

  - `response.trackedIssue.status` (string)
    Enum: "PENDING", "IN_PROGRESS", "SUCCESS", "FAILED", "DELETED"

  - `response.trackedIssue.issueStatus` (string)

  - `response.trackedIssue.failureReason` (string)

  - `response.trackedIssue.errorMessage` (string)

  - `response.trackedIssue.publicLink` (string)

  - `response.trackedIssue.creationDate` (string)

  - `response.trackedIssue.updatedAt` (string)

  - `response.trackedIssue.createdBy` (object)

  - `response.trackedIssue.ticketType` (string)
    Enum: "SECURITY", "LEGAL"

  - `response.licenseRelationship` (string)
    Example: "Apache-2.0 AND MIT"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


